import Slidy from '..';
import { Action, Transition } from '../defs';
/**
 * Create manager.
 */
export declare class Manager {
    private _slidy;
    private _transition;
    private _isAnimating;
    private _max;
    private _actions;
    shouldPrevent: boolean;
    /**
     * Creates an instance of Manager.
     */
    constructor(_slidy: Slidy, transition: Transition['cb']);
    /**
     * Add "action" to Manager.
     */
    add(action: Action): void;
    /**
     * Empty manager.
     */
    empty(): void;
    /**
     * Get current items.
     * Used for transitions and CSS active styling
     */
    getCurrentItems(currentIndex: number): HTMLElement[];
    /**
     * Get new items.
     * Used for transitions and CSS active styling
     */
    getNewItems(newIndex: number): HTMLElement[];
    /**
     * Play manager.
     */
    private _play;
}
